Create Warehouse
curl --request POST \
--url https://{base_url_domain}/api/global/v1/inventory/warehouses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "East Coast 1",
"abbreviation": "EC1",
"is_active": true
}
'import requests
url = "https://{base_url_domain}/api/global/v1/inventory/warehouses"
payload = {
"name": "East Coast 1",
"abbreviation": "EC1",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'East Coast 1', abbreviation: 'EC1', is_active: true})
};
fetch('https://{base_url_domain}/api/global/v1/inventory/warehouses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": {
"type": "<string>",
"id": 1
},
"meta": {
"processing_time": 123
}
}{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}Warehouses
Create Warehouse
Creates a new Warehouse in ShipStream according to the request body.
POST
/
v1
/
inventory
/
warehouses
Create Warehouse
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Body
application/json
An object conforming to the Warehouse schema to be created.
A Warehouse represents a physical location from which you can store inventory and perform operations independently of other warehouses.
The display name for the Warehouse.
Maximum string length:
255Example:
"East Coast 1"
A short abbreviation for the Warehouse, up to 10 characters. Recommended to be fewer than 6 characters.
Optional Field
Maximum string length:
10Example:
"EC1"
This flag determines if the Warehouse is active and viable for fulfillment.
Example:
true
Was this page helpful?
⌘I